pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E067 : Short_Integer; pragma Import (Ada, E067, "system__os_lib_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "ada__exceptions_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E041 : Short_Integer; pragma Import (Ada, E041, "ada__containers_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__io_exceptions_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "ada__strings__maps_E");
   E096 : Short_Integer; pragma Import (Ada, E096, "ada__strings__maps__constants_E");
   E046 : Short_Integer; pragma Import (Ada, E046, "interfaces__c_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "system__exceptions_E");
   E073 : Short_Integer; pragma Import (Ada, E073, "system__object_reader_E");
   E053 : Short_Integer; pragma Import (Ada, E053, "system__dwarf_lines_E");
   E089 : Short_Integer; pragma Import (Ada, E089, "system__soft_links__initialize_E");
   E040 : Short_Integer; pragma Import (Ada, E040, "system__traceback__symbolic_E");
   E347 : Short_Integer; pragma Import (Ada, E347, "ada__numerics_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "ada__strings__utf_encoding_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "ada__tags_E");
   E098 : Short_Integer; pragma Import (Ada, E098, "ada__streams_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "ada__strings__text_output_E");
   E138 : Short_Integer; pragma Import (Ada, E138, "gnat_E");
   E202 : Short_Integer; pragma Import (Ada, E202, "interfaces__c__strings_E");
   E190 : Short_Integer; pragma Import (Ada, E190, "system__file_control_block_E");
   E126 : Short_Integer; pragma Import (Ada, E126, "system__finalization_root_E");
   E124 : Short_Integer; pragma Import (Ada, E124, "ada__finalization_E");
   E189 : Short_Integer; pragma Import (Ada, E189, "system__file_io_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "system__storage_pools_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "system__finalization_masters_E");
   E217 : Short_Integer; pragma Import (Ada, E217, "system__storage_pools__subpools_E");
   E110 : Short_Integer; pragma Import (Ada, E110, "ada__strings__unbounded_E");
   E236 : Short_Integer; pragma Import (Ada, E236, "system__task_info_E");
   E230 : Short_Integer; pragma Import (Ada, E230, "system__task_primitives__operations_E");
   E212 : Short_Integer; pragma Import (Ada, E212, "system__regpat_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "ada__calendar_E");
   E276 : Short_Integer; pragma Import (Ada, E276, "ada__calendar__delays_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "ada__calendar__time_zones_E");
   E274 : Short_Integer; pragma Import (Ada, E274, "ada__real_time_E");
   E185 : Short_Integer; pragma Import (Ada, E185, "ada__text_io_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "gnat__calendar_E");
   E183 : Short_Integer; pragma Import (Ada, E183, "gnat__calendar__time_io_E");
   E358 : Short_Integer; pragma Import (Ada, E358, "gnat__directory_operations_E");
   E341 : Short_Integer; pragma Import (Ada, E341, "system__assertions_E");
   E331 : Short_Integer; pragma Import (Ada, E331, "system__checked_pools_E");
   E322 : Short_Integer; pragma Import (Ada, E322, "gnat__debug_pools_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "system__pool_global_E");
   E207 : Short_Integer; pragma Import (Ada, E207, "gnat__expect_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "system__pool_size_E");
   E382 : Short_Integer; pragma Import (Ada, E382, "system__random_seed_E");
   E369 : Short_Integer; pragma Import (Ada, E369, "system__regexp_E");
   E362 : Short_Integer; pragma Import (Ada, E362, "ada__directories_E");
   E252 : Short_Integer; pragma Import (Ada, E252, "system__tasking__initialization_E");
   E262 : Short_Integer; pragma Import (Ada, E262, "system__tasking__protected_objects_E");
   E264 : Short_Integer; pragma Import (Ada, E264, "system__tasking__protected_objects__entries_E");
   E260 : Short_Integer; pragma Import (Ada, E260, "system__tasking__queuing_E");
   E248 : Short_Integer; pragma Import (Ada, E248, "system__tasking__stages_E");
   E160 : Short_Integer; pragma Import (Ada, E160, "gnatcoll__atomic_E");
   E320 : Short_Integer; pragma Import (Ada, E320, "gnatcoll__memory_E");
   E294 : Short_Integer; pragma Import (Ada, E294, "gnatcoll__plugins_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "gnatcoll__storage_pools__headers_E");
   E162 : Short_Integer; pragma Import (Ada, E162, "gnatcoll__refcount_E");
   E205 : Short_Integer; pragma Import (Ada, E205, "gnatcoll__string_builders_E");
   E314 : Short_Integer; pragma Import (Ada, E314, "gnatcoll__strings_impl_E");
   E312 : Short_Integer; pragma Import (Ada, E312, "gnatcoll__strings_E");
   E311 : Short_Integer; pragma Import (Ada, E311, "gnatcoll__strings_E");
   E333 : Short_Integer; pragma Import (Ada, E333, "gnatcoll__mmap_E");
   E335 : Short_Integer; pragma Import (Ada, E335, "gnatcoll__mmap__system_E");
   E337 : Short_Integer; pragma Import (Ada, E337, "gnatcoll__templates_E");
   E339 : Short_Integer; pragma Import (Ada, E339, "gnatcoll__terminal_E");
   E196 : Short_Integer; pragma Import (Ada, E196, "gnatcoll__utils_E");
   E179 : Short_Integer; pragma Import (Ada, E179, "gnatcoll__sql_impl_E");
   E157 : Short_Integer; pragma Import (Ada, E157, "gnatcoll__sql_E");
   E353 : Short_Integer; pragma Import (Ada, E353, "gnatcoll__io_E");
   E371 : Short_Integer; pragma Import (Ada, E371, "gnatcoll__path_E");
   E360 : Short_Integer; pragma Import (Ada, E360, "gnatcoll__io__native_E");
   E374 : Short_Integer; pragma Import (Ada, E374, "gnatcoll__remote_E");
   E378 : Short_Integer; pragma Import (Ada, E378, "gnatcoll__remote__db_E");
   E356 : Short_Integer; pragma Import (Ada, E356, "gnatcoll__io__remote_E");
   E373 : Short_Integer; pragma Import (Ada, E373, "gnatcoll__io__remote__unix_E");
   E376 : Short_Integer; pragma Import (Ada, E376, "gnatcoll__io__remote__windows_E");
   E346 : Short_Integer; pragma Import (Ada, E346, "gnatcoll__vfs_E");
   E316 : Short_Integer; pragma Import (Ada, E316, "gnatcoll__traces_E");
   E290 : Short_Integer; pragma Import (Ada, E290, "gnatcoll__sql__exec_E");
   E296 : Short_Integer; pragma Import (Ada, E296, "gnatcoll__sql__exec__tasking_E");
   E300 : Short_Integer; pragma Import (Ada, E300, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E296 := E296 - 1;
         if E296 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__finalize_body");
      begin
         E290 := E290 - 1;
         if E290 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E290 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E316 := E316 - 1;
         if E316 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E316 = 0 then
            F8;
         end if;
      end;
      E346 := E346 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E346 = 0 then
            F9;
         end if;
      end;
      E356 := E356 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E356 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E374 := E374 - 1;
         if E374 = 0 then
            F11;
         end if;
      end;
      E360 := E360 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E360 = 0 then
            F12;
         end if;
      end;
      E353 := E353 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E353 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E157 := E157 - 1;
         if E157 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E157 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E179 := E179 - 1;
         if E179 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E179 = 0 then
            F17;
         end if;
      end;
      E339 := E339 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E339 = 0 then
            F18;
         end if;
      end;
      E162 := E162 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__refcount__finalize_spec");
      begin
         if E162 = 0 then
            F19;
         end if;
      end;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__memory__finalize_body");
      begin
         E320 := E320 - 1;
         if E320 = 0 then
            F20;
         end if;
      end;
      E264 := E264 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E264 = 0 then
            F21;
         end if;
      end;
      E362 := E362 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "ada__directories__finalize_spec");
      begin
         if E362 = 0 then
            F22;
         end if;
      end;
      E369 := E369 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "system__regexp__finalize_spec");
      begin
         if E369 = 0 then
            F23;
         end if;
      end;
      E169 := E169 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "system__pool_size__finalize_spec");
      begin
         if E169 = 0 then
            F24;
         end if;
      end;
      E207 := E207 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gnat__expect__finalize_spec");
      begin
         if E207 = 0 then
            F25;
         end if;
      end;
      E177 := E177 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "system__pool_global__finalize_spec");
      begin
         if E177 = 0 then
            F26;
         end if;
      end;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnat__debug_pools__finalize_body");
      begin
         E322 := E322 - 1;
         if E322 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_spec");
      begin
         if E322 = 0 then
            F28;
         end if;
      end;
      E185 := E185 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "ada__text_io__finalize_spec");
      begin
         if E185 = 0 then
            F29;
         end if;
      end;
      E110 := E110 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__strings__unbounded__finalize_spec");
      begin
         if E110 = 0 then
            F30;
         end if;
      end;
      E217 := E217 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "system__storage_pools__subpools__finalize_spec");
      begin
         if E217 = 0 then
            F31;
         end if;
      end;
      E173 := E173 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__finalization_masters__finalize_spec");
      begin
         if E173 = 0 then
            F32;
         end if;
      end;
      declare
         procedure F33;
         pragma Import (Ada, F33, "system__file_io__finalize_body");
      begin
         E189 := E189 - 1;
         if E189 = 0 then
            F33;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, True, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, True, False, False, True, True, False, 
           True, True, False, True, True, True, True, False, 
           True, False, False, False, True, False, False, True, 
           False, True, False, True, True, False, True, False, 
           True, False, False, False, True, False, True, False, 
           True, False, False, False, False, False, False, True, 
           True, True, False, False, True, False, True, True, 
           True, False, True, True, False, True, True, True, 
           True, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E023 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E041 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E041 := E041 + 1;
      if E062 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E062 := E062 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E093 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E093 := E093 + 1;
      if E096 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E096 := E096 + 1;
      if E046 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E046 := E046 + 1;
      if E027 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E027 := E027 + 1;
      if E073 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      E073 := E073 + 1;
      if E053 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E053 := E053 + 1;
      if E067 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E067 := E067 + 1;
      if E089 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E089 := E089 + 1;
      E019 := E019 + 1;
      if E040 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E040 := E040 + 1;
      E023 := E023 + 1;
      if E347 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E347 := E347 + 1;
      if E113 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E113 := E113 + 1;
      if E100 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E100 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E100 := E100 + 1;
      if E098 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E098 := E098 + 1;
      if E111 = 0 then
         Ada.Strings.Text_Output'Elab_Spec;
      end if;
      E111 := E111 + 1;
      if E138 = 0 then
         Gnat'Elab_Spec;
      end if;
      E138 := E138 + 1;
      if E202 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E202 := E202 + 1;
      if E190 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E190 := E190 + 1;
      if E126 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E126 := E126 + 1;
      if E124 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E124 := E124 + 1;
      if E189 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E189 := E189 + 1;
      if E171 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E171 := E171 + 1;
      if E173 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E173 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E173 := E173 + 1;
      if E217 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E217 := E217 + 1;
      if E110 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E110 := E110 + 1;
      if E236 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E236 := E236 + 1;
      if E230 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E230 := E230 + 1;
      if E212 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E212 := E212 + 1;
      if E143 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E143 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E143 := E143 + 1;
      if E276 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E276 := E276 + 1;
      if E149 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E149 := E149 + 1;
      if E274 = 0 then
         Ada.Real_Time'Elab_Spec;
      end if;
      if E274 = 0 then
         Ada.Real_Time'Elab_Body;
      end if;
      E274 := E274 + 1;
      if E185 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E185 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E185 := E185 + 1;
      if E140 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E140 := E140 + 1;
      if E183 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E183 := E183 + 1;
      if E358 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E358 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E358 := E358 + 1;
      if E341 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E341 := E341 + 1;
      if E331 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E331 := E331 + 1;
      if E322 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E322 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E322 := E322 + 1;
      if E177 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E177 := E177 + 1;
      if E207 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E207 := E207 + 1;
      if E169 = 0 then
         System.Pool_Size'Elab_Spec;
      end if;
      E169 := E169 + 1;
      if E382 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E382 := E382 + 1;
      if E369 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E369 := E369 + 1;
      if E362 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E362 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E362 := E362 + 1;
      if E252 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E252 := E252 + 1;
      if E262 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E262 := E262 + 1;
      if E264 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E264 := E264 + 1;
      if E260 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E260 := E260 + 1;
      if E248 = 0 then
         System.Tasking.Stages'Elab_Body;
      end if;
      E248 := E248 + 1;
      E160 := E160 + 1;
      if E320 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E320 := E320 + 1;
      E294 := E294 + 1;
      E164 := E164 + 1;
      if E162 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E162 := E162 + 1;
      E205 := E205 + 1;
      E314 := E314 + 1;
      if E312 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E312 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E312 := E312 + 1;
      if E333 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E335 := E335 + 1;
      E333 := E333 + 1;
      if E337 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E337 := E337 + 1;
      if E339 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E339 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E339 := E339 + 1;
      E196 := E196 + 1;
      if E179 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E179 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E179 := E179 + 1;
      if E157 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E157 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E157 := E157 + 1;
      if E353 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E353 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E353 := E353 + 1;
      if E371 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E371 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E371 := E371 + 1;
      if E360 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E360 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E360 := E360 + 1;
      if E374 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E374 := E374 + 1;
      if E378 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E378 := E378 + 1;
      if E356 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E373 := E373 + 1;
      E376 := E376 + 1;
      if E356 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E356 := E356 + 1;
      if E346 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E346 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E346 := E346 + 1;
      if E316 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E316 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E316 := E316 + 1;
      if E290 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E300 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E300 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E300 := E300 + 1;
      if E290 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E290 := E290 + 1;
      if E296 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E296 := E296 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/stage/usr/lib64/gnatcoll_sql/
   --   -L/usr/lib64/gpr/relocatable/gpr/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib64/gnatcoll/
   --   -L/usr/lib/gcc/ppc64le-redhat-linux/11/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
   --   -ldl
--  END Object file/option list   

end gnatcoll_sqlitemain;
